{ 
	* This code has been imported from an alpha build of MMI G0M0R1T6 and may/may not function
	* It thus must be revied to use the intended XML libraries to import data into the memory structure
}

procedure XMLFile.Load(Src: String);
begin
	ReadXMLFile(Document, Src);
end;

procedure XMLFile.Empty();
begin
	Document.Free();
end;

function XMLFile.GetTagValue(Name_: String): ANSIString;
var
	RAMNode: TDOMNode;
	
begin
	RAMNode := Document.DocumentElement.FindNode(Name_);
	GetTagValue := RAMNode.FirstChild.NodeValue;
end;

function XMLFile.GetTagAttribute(Name_: String; Val: Int64): ANSIString;
var
	RAMNode: TDOMNode;
	
begin
	RAMNode := Document.DocumentElement.FindNode(Name_);
	GetTagAttribute := RAMNode.Attributes.Item[Val].NodeValue;
end;
